## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         srcname         microsoft-security-utilities-secret-masker
%global         tarball_name    microsoft_security_utilities_secret_masker

Name:           python-%{srcname}
Version:        1.0.0~b4
%global         pypi_version    1.0.0b4
Release:        %autorelease
Summary:        Microsoft Security Utilities - Secret Masker
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{tarball_name} %{pypi_version}}

BuildArch:      noarch

BuildRequires:  python3-devel


%global _description %{expand:
The Secret Masker Python library focuses on:

  - providing some built-in detection rules in json format
  - detecting sensitive data for given input
  - masking sensitive data with simple symbols or sha256 hash for given input}


%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{tarball_name}-%{pypi_version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{tarball_name}


%check
%pyproject_check_import
# Sadly there's no tests in the PyPI package and no git repository.


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst HISTORY.rst
%license LICENSE


%changelog
## START: Generated by rpmautospec
* Thu May 01 2025 Jeremy Cline <jeremycline@linux.microsoft.com> - 1.0.0~b4-1
- Update to v1.0.0b4

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0~b3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Nov 04 2024 Jeremy Cline <jeremycline@linux.microsoft.com> - 1.0.0~b3-2
- Include the license file in the package

* Mon Nov 04 2024 Jeremy Cline <jeremycline@linux.microsoft.com> - 1.0.0~b3-1
- Initial package (rbhz #2322961)
## END: Generated by rpmautospec
